check-dfsg-status (1.32) unstable; urgency=medium

  * Remove /etc/cron.monthly/vrms when installing the transitional vrms binary
    package. Closes: #1021053
  * Fix spelling error in package description.
  * Add ${misc:Depends} to Depends: for vrms transitional package to appease
    lintian.
  * Bump standards version to 4.6.2, no changes needed.
  * Drop unused check-dfsg-status.lintian-overrides.

 -- Holger Levsen <holger@debian.org>  Sat, 17 Dec 2022 19:36:45 +0100

check-dfsg-status (1.31) unstable; urgency=medium

  * Upload to unstable.
  * Happy 29th birthday, Debian!
  * Dedicate this release to Rogério Brito. Many thanks for many
    contributions, for your kindness and everything, Rogério.
    (I have no idea what Rogério thought about renaming vrms.)
  * For more information about the package rename please refer to the 1.28,
    1.29 and 1.30 changelog entries below.

 -- Holger Levsen <holger@debian.org>  Tue, 16 Aug 2022 14:13:11 +0200

check-dfsg-status (1.30) experimental; urgency=medium

  * d/control:
    - rename source package to check-dfsg-status, update Maintainer address
      accordingly.
    - update Homepage to reflect the new name.

 -- Holger Levsen <holger@debian.org>  Fri, 12 Aug 2022 16:34:38 +0200

vrms (1.29) experimental; urgency=medium

  * d/control: update Vcs- headers to reflect repo rename on salsa.
  * explain vrms history in check-dfsg-status manpage.
  * provide manpage for vrms, thanks lintian.
  * d/changelog:
    - too long changelog line, thanks lintian.
    - use full names of Gunnar and Lars as done for Ivo too.

 -- Holger Levsen <holger@debian.org>  Fri, 12 Aug 2022 15:36:34 +0200

vrms (1.28) experimental; urgency=medium

  [ Holger Levsen ]
  * Dedicate this release to Rogério Brito. Many thanks for many
    contributions, for your kindness and everything, Rogério.
    (I have no idea what Rogério thought about renaming vrms.)
  * Introduce new binary package, check-dfsg-status, to replace vrms (and
    soon src:vrms too). Closes: #962696 but not closing #985825 yet as this
    upload will go to experimental to prepare the transition there.
    Also closes: #537941.  The transitional vrms package only ships a link
    to /usr/bin/check-dfsg-status.
    As Lars Wirzenius wrote in
    https://blog.liw.fi/posts/2021/03/29/the_leadership_problem_for_free_software/
    "We don’t need leaders with power, or with authority. We need thought
    leaders, who can persuade and convince people to do right things, and
    people who set good examples. We need many of them."
    Gunnar Wolf wrote in
    http://gwolf.org/2021/03/regarding-the-stallman-comeback.html
    "Again, the free software movement –and the world as a whole– owes a great
    deal to Stallman. He changed history. I admire his work, his persistence
    and his stubbornness. But I won’t have him represent me."
    And additionally I agree with Ivo de Decker in #962696 that the
    Debian DFSG compliancy checker should be not be called vrms, especially
    if that's not what it is/does as pointed out in #537941.
  * Update standards version to 4.6.1, no changes needed.

  [ Debian Janitor ]
  * Move transitional package vrms to oldlibs/optional per policy 4.0.1.

 -- Holger Levsen <holger@debian.org>  Sun, 07 Aug 2022 15:34:36 +0200

vrms (1.27) unstable; urgency=medium

  * d/tests/control: fix typoed restriction skip-not-installable.

 -- Holger Levsen <holger@debian.org>  Thu, 11 Jun 2020 16:41:28 +0200

vrms (1.26) unstable; urgency=medium

  * d/tests/smoke-test:
    - don't assume testbed is free of non-free packages. Closes: #953145.
  * d/tests/non-free-test:
    - make the non-free test optional. Closes: #953248.
    - make the test less errorprone.
  * d/control:
    - bump standards version to 4.5.0, no changes needed.
    - bump to debhelper-compat 13.
  * d/vrms.lintian-overrides: follow tag rename to synopsis-is-a-sentence.

 -- Holger Levsen <holger@debian.org>  Thu, 11 Jun 2020 16:17:28 +0200

vrms (1.25) unstable; urgency=medium

  * d/control:
    - bump standards version to 4.4.0, no changes needed.
    - bump to debhelper-compat 12.

 -- Holger Levsen <holger@debian.org>  Wed, 31 Jul 2019 20:59:59 -0300

vrms (1.24) unstable; urgency=medium

  * Add a simple debian/tests/non-free-test used by autopkgtest.
  * Bump standards version to 4.3.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 17 Jan 2019 19:30:03 +0100

vrms (1.23) unstable; urgency=medium

  * README.md: add missing word to fix sentence. Thanks to nyov on #alioth for
    pointing this out.
  * d/control: use canonical URL for Vcs-Git, thanks lintian.
  * Add a simple debian/tests/smoke-test used by autopkgtest.

 -- Holger Levsen <holger@debian.org>  Sat, 01 Dec 2018 16:13:14 +0100

vrms (1.22) unstable; urgency=medium

  * d/control:
    - Bump standards version to 4.2.1, no changes needed.
    - Use the new debhelper-compat(=11) notation and drop d/compat.
    - Set Homepage to https://debian.pages.debian.net/vrms/
    - Drop .git from Git-Vcs: and Git-Browser: pseudo headers.
  * Include index.html from abandoned git://git.debian.org/git/vrms/site.git
    as README.md.
  * Add a .gitlab-ci.yml to automatically deploy the homepage via salsa pages.

 -- Holger Levsen <holger@debian.org>  Mon, 15 Oct 2018 22:57:34 +0200

vrms (1.21) unstable; urgency=medium

  * Switch maintainer address to team+vrms@tracker.debian.org - many thanks to
    those who ran lists.alioth.debian.org for so long!
  * Switch Git repo to https://salsa.debian.org/debian/vrms.git - many thanks
    to those who ran git.debian.org for so long!
  * Bump Standards-Version: to 4.1.4, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sat, 07 Apr 2018 19:29:23 +0000

vrms (1.20) unstable; urgency=medium

  * debian/control:
    - drop paragraph about possible features in future versions as the future
      is unwritten.
    - bump Standards-Version: to 4.1.3, no changes needed.
    - use https URLs for Vcs: headers.
  * debian/source/format: switch to 3.0 (native).
  * Bump compat to debhelper 11, update depends accordingly.
  * Add lintian override for description-synopsis-might-not-be-phrased-properly
    as the short description only seems to have a "full stop", in reality it's
    because of "Richard M. Stallman".
  * debian/rules: drop ancient comment (which today is irrelevant) and remove
    trailing whitespace.
  * debian/changelog: remove trailing whitespaces.

 -- Holger Levsen <holger@debian.org>  Sat, 10 Feb 2018 15:42:12 +0000

vrms (1.19) unstable; urgency=medium

  * debian/control:
    - Update Standards-Version to 4.1.2. No changes required.
    - Add "Rules-Requires-Root: no" to support building as non-root.
      (I've also confirmed that the build output is bit by bit identical with
      and without this.)

 -- Holger Levsen <holger@debian.org>  Mon, 18 Dec 2017 15:58:48 +0000

vrms (1.18) unstable; urgency=medium

  * debian/control:
    + Update Standards-Version to 4.1.0. No changes required.
  * reasons/vrms: add libretro-snes9x, thanks to Robin de Rooij for the patch.
    (Closes: 865747)

 -- Holger Levsen <holger@debian.org>  Thu, 14 Sep 2017 02:13:25 +0200

vrms (1.17) unstable; urgency=medium

  * Apply patch by Jakub Wilk to move /usr/share/vrms/reasons/vrms/vrms back
    to /usr/share/vrms/reasons/vrms where vrms expects it.
    (Closes: #582239, #850334)
  * debian/control:
    + Change debhelper build-dep to require version 10 or later.
    + Set Multi-Arch: foreign, thanks to the auto-hinter.
    + Add myself to uploaders.
    + Update Standards-Version to 3.9.8. No changes required.
    + Remove outdated DM-Upload-Allowed flag.
  * debian/compat: Bump to 10.
  * Add debian/source/format and set to 1.0.

 -- Holger Levsen <holger@debian.org>  Tue, 10 Jan 2017 23:21:16 +0100

vrms (1.16) unstable; urgency=low

  [ Rogério Brito ]
  * vrms:
    + consider the section "partner" as non-free. (LP: #284078).

  [ Bdale Garbee ]
  * debian/control:
    + update maintainer address, standards version, VCS fields
    + change debhelper build-dep to require version 8 or later
  * debian/rules, debian/compat:
    + switch to using debhelper 8 dh

 -- Bdale Garbee <bdale@gag.com>  Fri, 26 Aug 2011 09:26:28 -0600

vrms (1.15) unstable; urgency=low

  [ Rogério Brito ]
  * reasons/vrms: include "human-icon-theme" explanation.
  * debian/control:
    + update Standards-Version to 3.8.1. No changes required.
    + include proper Homepage: field.
    + include proper VCS field.
    + include misc:Depends to the Depends: field of the binary package.
    + include versioned Build-Depends: on debhelper.
  * debian/copyright:
    + fix reference to the GPL file, versioning it.
    + update the years of copyright.
    + update my e-mail address.
  * debian/rules:
    + change deprecated dh_clean -k call to dh_prep.
    + make more extensive use of debhelper:
      - use dh_install for the files.
      - use dh_fixperms to fix the file permissions.
  * reasons/vrms:
    + remove tango-icon-theme, which is now in public
      domain (see http://tango.freedesktop.org/Tango_Desktop_Project).
    + remove bender (Fix "Blender is free") (Closes: #525377).

  [ Bdale Garbee ]
  * debian/control:
    + include "DM-U-A" field set to yes.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 19 May 2009 02:35:46 -0300

vrms (1.14) unstable; urgency=low

  [ Bdale Garbee ]
  * merge patch from Robert Millan that includes contrib packages in the
    report generated by vrms, closes: #99989, #160478, #210455, #210645
  * remove Stephen Moraco from the list of uploaders, closes: #465954
  * always display numeric package stats even when no non-free or contrib
    packages are present, closes: #424938
  * update the package description and the man page to reflect the inclusion
    of contrib packages in the output, and to make it clear that when the DFSG
    and opinions of RMS differ, vrms follows the DFSG

 -- Bdale Garbee <bdale@gag.com>  Wed, 23 Apr 2008 08:16:32 -0600

vrms (1.13) unstable; urgency=low

  [ Rogério Brito ]
  * Acknowledge the NMU work done by Christian Perrier;
  * debian/control: removed "Depends:" field completely;
  * debian/control: added "XS-Vcs-SVN:" field for our repository;
  * debian/control: added "XS-Homepage:" field for our homepage at alioth;
  * debian/control: updated my e-mail address;
  * debian/postinst: removed: it did nothing. Tks: Joey Hess (Closes: #419147);
  * debian/rules: change the rules so that the "arch: all" package is
    built in the "binary-indep" target, which is more correct than in
    the "binary-arch" target;
  * reasons/vrms: remove mpg123 entries. Tks: Daniel Kobras (Closes: #397445);
  * reasons/vrms: include tango-icon-theme. Tks: Chris Lamb (Closes: #403752);
  * vrms: don't complain with packages missing Section field. Tks: Joey Hess (Closes: #161368);
  * vrms: removed dependency on diagnostics.pm;

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 11 Jul 2007 18:35:39 -0300

vrms (1.12-0.1) unstable; urgency=low

  * Non-maintainer upload to fix a longstanding issue (abusive debconf note)
  * Remove the superfluous debconf note. Closes: #397433
  * This removes the need for debconf translations. Apologies to
    translators for the extra useless work.
    Closes: #398076, #399210, #404488

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Jan 2007 22:49:41 +0100

vrms (1.12) unstable; urgency=low

  [ Rogério Brito ]
  * With the last updates, it seems that bug 298147 got fixed. Closes: #298147;
  * debian/README.Debian: renamed the old README.debian (Tks: Daniel Baumann);
  * debian/README.Debian: removed spurious last empty line (Tks: Daniel Baumann);
  * debian/changelog: removed spurious tabs and spaces (Tks: Daniel Baumann);
  * debian/config: configuration script for debconf;
  * debian/control: added myself (with Bdale's permission) as an uploader;
  * debian/control: include dependency on debconf;
  * debian/control: make debhelper a build-depends, not build-depends-indep;
  * debian/control: mention that vrms is not limited to Debian, nor to Linux;
  * debian/control: upgraded the Policy Standard to 3.7.2 (no changes required);
  * debian/copyright: include the years of copyright the authors;
  * debian/copyright: mention my changes in vrms;
  * debian/copyright: removed spurious last empty line (Tks: Daniel Baumann);
  * debian/dirs: removed, as install -D is sufficient (Tks: Daniel Baumann);
  * debian/po: Initial use of i18n with debconf-gettextize.
  * debian/postinst: modify the script for debconf;
  * debian/postinst: remove content superseded by debconf (Tks: Daniel Baumann);
  * debian/rules: remove `pwd` in calls to install (Tks: Daniel Baumann);
  * debian/rules: remove use of dh_fixperms (Tks: Daniel Baumann);
  * debian/rules: remove useless dh_installmenu (Tks: Daniel Baumann);
  * debian/rules: removed build-stamp and install-stamp as suggested by Daniel Baumann;
  * debian/rules: use the debhelper script for using debconf;
  * debian/templates: introduce templates for debconf;
  * debian/templates: use of debconf-textintroduce the templates for debconf;
  * vrms: include preamble with copyright, so that we use the best-current practices;

 -- Rogério Brito <rbrito@users.sf.net>  Fri,  3 Nov 2006 03:10:02 -0300

vrms (1.11) unstable; urgency=low

  [ Bdale Garbee ]
  * drop urgency back to low
  * update debhelper compat level to 5
  * freshen the README.Debian file

  [ Rogério Brito ]
  * Urgency high because it fixes an RC bug:
     - debian/control: for "use diagnostics", include perl-modules as a
       dependency (Closes: #338243);
  * Acknowledge the previous NMU:
    Closes: #252146, #306734, #211988, #274296, #302504, #158702;
  * Forgot to mention minor fixes of vrms in the previous version;
  * debian/control: updated build-dependency to debhelper (>= 4.0.0);
  * debian/control: cosmetic change to long description;
  * Gave this changelog a proper facelift (thanks: Lionel Elie Mamane);
  * Incorporated a slightly modified version Ubuntu's patch for checking
    for non-free packages (thanks: Martin Meredith);
  * reasons/vrms: improvements:
     - sorted the file;
     - fixed typo (smes -> snes);
     - fixed the reason reported for autobook (thanks: Joost van Baal);
     - removed graphviz entry for good;
     - included (some) non-free java packages generated by java-package;
     - sorted the file in a better way (thanks: Lionel Elie Mamane).

 -- Bdale Garbee <bdale@gag.com>  Thu,  8 Dec 2005 12:13:36 -0700

vrms (1.10) unstable; urgency=low

  [ Bdale Garbee ]
  * create debian/compat instead of using DH_COMPAT in rules file
  * more entries for reasons file from Sebastian Rittau, closes: #174520
  * update control file to reflect move to team maintainership

  [ Rogério Brito ]
  * debian/rules: put DH_COMPAT=4, just to be up-to-date with debhelper;
  * debian/rules: fix installation of executable and manpage;
  * debian/rules: eliminated some unnecessary use of dh_* scripts.

 -- Bdale Garbee <bdale@gag.com>  Tue, 11 Oct 2005 19:41:10 -0600

vrms (1.9-0.1) unstable; urgency=low

  [ Rogério Brito ]
  * NMU to fix some trivial changes.
  * vmrs: Minimal update to fix the "(pur)" problem. Closes: #252146.
  * vrms.1: Spelling fixes. Closes: #306734.
  * vrms.1: Fix manpage for --sparse option. Closes: #211988.
  * vrms.1: Remove HTML-entities from the manpage. Closes: #274296.
  * debian/rules: change dh_installmanpages to (newer) dh_installman.
  * debian/control: upgraded to standards 3.6.1. Closes: 302504.
  * debian/control: changed short description to start with lowcase.
  * This package is now lintian-clean.

  [ Joey Hess ]
  * Reviewed and sponsored this release.
  * Increase standards-version to 2.6.2 (no changes).
  * graphviz and autobook are now free, remove them from the reasons file.
    Closes: #158702

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Aug 2005 16:35:29 -0400

vrms (1.9) unstable; urgency=low

  * fix spelling error, closes: #155201, #155549
  * "he who does all the work should be the maintainer of record..." -- Bdale

 -- Bdale Garbee <bdale@gag.com>  Mon,  5 Aug 2002 20:57:38 -0600

vrms (1.8) unstable; urgency=low

  * Verified outstanding NMU's
     (Closes: #88082, #55443, #57926, #79748, #82721, #99485, #121215)
  * Added light weight statistics (Closes: #32368)
  * Added detect and report of badly formed entries in status file
     (when affects vrms ability) (Closes: #32517)
  * Verified that curent code fixes existing bugs
     (Closes: #53155, #57693, #57766, #78633, #84280, #148106)
  * Applied patch adding display options and built-in help, updated manpage,
     added Reason display (Closes: bug#146782)
  * Bdale added Stephen as an authorized uploader

 -- Stephen M Moraco <stephen@debian.org>  Wed,  3 Jul 2002 20:10:02 -0600

vrms (1.7) unstable; urgency=low

  * new (return of the original) maintainer, closes: #141228, #90183
  * cosmetic update of rules file, etc
  * lintian clean

 -- Bdale Garbee <bdale@gag.com>  Thu,  4 Apr 2002 17:14:57 -0700

vrms (1.6.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/cron.monthly: Exit quietly if /usr/bin/vrms doesn't exist
    (closes: #99485, #121215).
  * vrms: Change some regex matches to equality tests to avoid
    'not-installed' matching 'installed' and showing some purged packages
    (closes: #57926).
  * debian/control: Use Build-Depends-Indep rather than Build-Depends.
  * Remove per-user Emacs local variables from this changelog.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Nov 2001 11:10:04 +0000

vrms (1.6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Standards-Version: 3.5.2 (closes: #82721):
    - Build dependencies.
    - Added debhelper token to postinst so that the /usr/doc link gets
      created.
  * Removed spurious man page in /usr/man left over from FHS updates
    (closes: #55443).
  * Removed dh_make templates debian/init.d.ex and debian/menu.ex.
  * Corrected path to GPL in copyright file (closes: #79748).
  * Removed obsolete dh_suidregister call from debian/rules.
  * Run postinst with 'set -e'.
  * Mark /etc/cron.monthly/vrms as a conffile (closes: #88082, part 1).
  * Run vrms in the postinst only on an initial install (closes: #88082,
    part 2).

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Mar 2001 01:13:14 +0000

vrms (1.6) unstable; urgency=low
  * Fixed case where vrms missed packages in section non-us/non-free.

 -- Bill Geddes <geddes@debian.org>  Thu, 16 Dec 1999 16:08:45 -0700

vrms (1.4) unstable; urgency=low
  * Fixed bug 32622 - hang on package w/no description.

 -- Bill Geddes <geddes@debian.org>  Thu, 18 Feb 1999 07:17:51 -0700

vrms (1.3) unstable; urgency=low
  * Fixed bug 32394 - unnecessary dependency - an oversight.
  * Re-worded some language in control file.

 -- Bill Geddes <geddes@debian.org>  Thu, 28 Jan 1999 14:02:55 -0700

vrms (1.2) unstable; urgency=low
  * Fixed bug - did not find all non-free packages.
  * Eliminate execution of 'dpkg -l'.

 -- Bill Geddes <geddes@debian.org>  Mon, 25 Jan 1999 14:23:45 -0700

vrms (1.1) unstable; urgency=low

  * New Maintainer.
  * Now accounts for partially installed packages, closes #32380

 -- Bill Geddes <geddes@debian.org>  Mon, 25 Jan 1999 14:23:45 -0700

vrms (1.0) unstable; urgency=low

  * Initial Release.

 -- Bdale Garbee <bdale@gag.com>  Tue, 19 Jan 1999 23:16:27 -0700
